commit 44e0de7010683797292e1b5ca08ea3d6df632680
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Nov 26 01:18:13 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index e2ef37ddb53..04a9667233f 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,11 @@
+2021-11-25  Jan Hubicka  <jh@suse.cz>
+
+	Backported from master:
+	2021-11-20  Jan Hubicka  <hubicka@ucw.cz>
+
+	PR ipa/103052
+	* ipa-pure-const.c (propagate_pure_const): Fix merging of loping flag.
+
 2021-11-24  Maciej W. Rozycki  <macro@embecosm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index f9671d2b00c..045d8fc9bc8 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211125
+20211126
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 335589517e7..fd3b099f011 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-11-25  Jan Hubicka  <jh@suse.cz>
+
+	Backported from master:
+	2021-11-20  Jan Hubicka  <hubicka@ucw.cz>
+
+	PR ipa/103052
+	* gcc.c-torture/execute/pr103052.c: New test.
+
 2021-11-24  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 1cbc31b27e8..7b60ae8e803 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,40 @@
+2021-11-25  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-11-25  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/101608
+	* include/bits/ranges_algobase.h (__fill_n_fn): Check for
+	constant evaluation before using memset.
+	* testsuite/25_algorithms/fill_n/constrained.cc: Check
+	byte-sized values as well.
+
+2021-11-25  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-08-18  Jonathan Wakely  <jwakely@redhat.com>
+
+	* python/libstdcxx/v6/printers.py (StdBitReferencePrinter): Use
+	'std::vector<bool>::reference' as type name, not _Bit_reference.
+	(build_libstdcxx_dictionary): Register printers for vector<bool>
+	types in debug mode too.
+	* testsuite/libstdc++-prettyprinters/simple.cc: Adjust expected
+	output for invalid _Bit_reference. Use vector<bool>::reference
+	instead of _Bit_reference.
+	* testsuite/libstdc++-prettyprinters/simple11.cc: Likewise.
+
+2021-11-25  Jonathan Wakely  <jwakely@redhat.com>
+
+	* testsuite/libstdc++-prettyprinters/80276.cc: Add xfail for
+	debug mode.
+	* testsuite/libstdc++-prettyprinters/libfundts.cc: Likewise.
+
+2021-11-25  Jonathan Wakely  <jwakely@redhat.com>
+
+	* testsuite/lib/libstdc++.exp: Rename effective target keywords
+	to avoid dashes in the name.
+	* testsuite/*: Update effective targe keywords.
+
 2021-11-24  François Dumont  <fdumont@gcc.gnu.org>
 
 	Backported from master:

